org.eclipse.jetty.security

## Class HashCrossContextPsuedoSession<T>

- java.lang.Object
- - org.eclipse.jetty.security.HashCrossContextPsuedoSession<T>

- All Implemented Interfaces:
    CrossContextPsuedoSession<T>

      public class HashCrossContextPsuedoSession<T>
      extends Object
      implements CrossContextPsuedoSession<T>

  Version:
    $Rev: 4660 $ $Date: 2009-02-25 17:29:53 +0100 (Wed, 25 Feb 2009) $

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HashCrossContextPsuedoSession(String cookieName, String cookiePath)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear(javax.servlet.http.HttpServletRequest request)`
    `T` | `fetch(javax.servlet.http.HttpServletRequest request)`
    `void` | `store(T datum, javax.servlet.http.HttpServletResponse response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HashCrossContextPsuedoSession

          public HashCrossContextPsuedoSession(String cookieName,
                                       String cookiePath)

  - ### Method Detail

    - #### fetch

          public T fetch(javax.servlet.http.HttpServletRequest request)

      Specified by:
        `fetch` in interface `CrossContextPsuedoSession<T>`

    - #### store

          public void store(T datum,
                   javax.servlet.http.HttpServletResponse response)

      Specified by:
        `store` in interface `CrossContextPsuedoSession<T>`

    - #### clear

          public void clear(javax.servlet.http.HttpServletRequest request)

      Specified by:
        `clear` in interface `CrossContextPsuedoSession<T>`

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.